Subject: Re: bug#32173: 26.1; wdired: broken 'wdired-use-interactive-rename'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Jul 2018 15:19:36 +0300

> Date: Sat, 21 Jul 2018 15:06:19 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > AFAICT this patch avoids the bug and is simpler than the fix I proposed
> > (https://lists.gnu.org/archive/html/bug-gnu-emacs/2018-07/msg00602.html).
> > But with the above patch, if the user types C-g when prompted to make
> > the replacement, the file name is left partly or wholely without the
> > dired-filename text property.  I'm not sure if that's a problem, that's
> > why in my patch I restored the property.  I note the current buggy code
> > has the same issue.
> 
> Right.  But I think we had better did this more thoroughly, so I think
> your solution (which I somehow managed to miss) is better.  Please
> wait for a few days and push to emacs-26 if no problems are reported
> with your patch.

Btw, what happens in the non-interactive rename case, wrt the
dired-filename property?  If the renamed file is left with part of it
covered by that property, we may have a broader problem in wdired.el.